<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.
*/
# ***************************************
# POSH Users management mobile - XML List of users searched
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

if (!isset($_GET["searchtxt"])) exit();
if (!isset($_GET["p"])) exit();

$folder="../includes/plugins/mobile/admin/";
$not_access=1;
$granted="A";
$pagename="../includes/plugins/mobile/admin/xml_search_user.php";

//includes
require('includes.php');
require_once('../../../../includes/xml.inc.php');

//control that the current administrator has access to the script
$grantedCalls = array("userstab");
require('../../../../admin/adm_ctrl_access.php');

$file=new xmlFile();

$file->header("results");
	
$motcle=$_GET["searchtxt"];
$page=$_GET["p"];
$empty=true;

if (strlen($motcle)>2) $empty=false;

if ($empty) {
	echo "<error>Mot clé trop court (3 car. mini) ou incorrect</error>";
}
else {
	if ($page<1000) {
		//get the modules corresponding to the request based on the indexed keywords
        if($_SESSION['user_id']>1) { 
            $groupList="";
            $DB->getResults($adm_getGroupId,$DB->escape($_SESSION['user_id']));
            while ($row = $DB->fetch(0)) {
                $groupList.="'".$row['group_id']."',";
            }
            $groupList=substr($groupList,0,strlen($groupList)-1);
            $DB->freeResults();
            
            if ($groupList=="") {
                $file->footer("results");
                exit();
            }
            
            $DB->getResults($users_mob_searchXmlAllowed,$groupList,$DB->quote('%'.$motcle.'%'),$DB->quote('%'.$motcle.'%'),($page*21));
        }
        else {
            $DB->getResults($users_mob_searchXml,$DB->quote('%'.$motcle.'%'),$DB->quote('%'.$motcle.'%'),($page*21));
        }
		$nb_search = $DB->nbResults();
		echo "<nbres>".$nb_search."</nbres>";
		$inc=1;
		if ($nb_search>0)
		{
			while ($row = $DB->fetch(0))
			{
				echo "<user>";
				echo "<id>".$row["id"]."</id>";
				echo "<username><![CDATA[".$row["username"]."]]></username>";
				echo "<name><![CDATA[".$row["long_name"]."]]></name>";
				echo "<typ><![CDATA[".$row["typ"]."]]></typ>";
                echo "<available>".$row["access"]."</available>";
				echo "</user>";
			}
		}
		$DB->freeResults();
	}
}

$file->footer("results");
?>